Libical API Documentation 3.0

Data Fields
icalcomponent_impl Struct Reference

## Data Fields
pvl_elem | component_iterator
pvl_list | components
char | id [5]
icalcomponent_kind | kind
struct icalcomponent_impl * | parent
pvl_list | properties
pvl_elem | property_iterator
icalarray * | timezones
int | timezones_sorted
char * | x_name

## Field Documentation

## ◆ timezones

icalarray* icalcomponent_impl::timezones

An array of icaltimezone structs. We use this so we can do fast lookup of timezones using binary searches. timezones_sorted is set to 0 whenever we add a timezone, so we remember to sort the array before doing a binary search.

The documentation for this struct was generated from the following file:

- icalcomponent.c